/************************************************************************
* Copyright (C) 2000 Thomas Schulz					*
*									*
*	$Id: comio.h,v 1.3 2001/01/17 23:41:48 tsch Rel $  	*
*									*
* header for IC35 serial communication					*
*									*
************************************************************************/
#ifndef _COMIO_H
#define	_COMIO_H	1

#include <sys/types.h>	/* size_t	*/

#include "util.h"	/* uchar	*/


void com_siminit( char * s_fname );		/* init comm.simulation	  */
int  com_settimeout( int msec );		/* set timeout [msec]	  */
int  com_init( char * devname );		/* initialize comm.device */
int  com_sendw( uchar * data, size_t dlen );	/* send data with waiting */
int  com_send( uchar * data, size_t dlen );	/* send data to comm.dev  */
int  com_recv( uchar * buff, size_t blen );	/* receive from comm.dev  */
void com_exit( void );				/* close comm.device	  */

#endif /*_COMIO_H*/
